/*  pdnmesh - a 2D finite element solver
    Copyright (C) 2001-2005 Sarod Yatawatta <sarod@users.sf.net>  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  $Id: SolveOptions.h,v 1.3 2005/02/16 13:16:15 sarod Exp $
*/

#if !defined(AFX_SOLVEOPTIONS_H__730D0061_A912_4F87_B3D1_B1DA00888C33__INCLUDED_)
#define AFX_SOLVEOPTIONS_H__730D0061_A912_4F87_B3D1_B1DA00888C33__INCLUDED_

#include "model.h"
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SolveOptions.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// SolveOptions dialog

class SolveOptions : public CDialog
{
// Construction
public:
	int m_degree_of_freedom;
	SolveOptions(CWnd* pParent = NULL);   // standard constructor
// Dialog Data
	//{{AFX_DATA(SolveOptions)
	enum { IDD = IDD_SOLVEOPTIONS_DIALOG };
	CSliderCtrl	m_SliderEigen;
	eq_type   m_equtype;
	CString	m_SliderEigenValue;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(SolveOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(SolveOptions)
	afx_msg void OnRadio1();
	afx_msg void OnRadio3();
	afx_msg void OnRadio2();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SOLVEOPTIONS_H__730D0061_A912_4F87_B3D1_B1DA00888C33__INCLUDED_)
