// SaveOptions.cpp : implementation file
//
/*  pdnmesh - a 2D finite element solver
    Copyright (C) 2001-2005 Sarod Yatawatta <sarod@users.sf.net>  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  $Id: SaveOptions.cpp,v 1.2 2005/02/13 18:23:41 sarod Exp $
*/

#include "stdafx.h"
#include "winpdnmesh.h"
#include "SaveOptions.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// SaveOptions dialog


SaveOptions::SaveOptions(CWnd* pParent /*=NULL*/)
	: CDialog(SaveOptions::IDD, pParent)
{
	//{{AFX_DATA_INIT(SaveOptions)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void SaveOptions::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(SaveOptions)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(SaveOptions, CDialog)
	//{{AFX_MSG_MAP(SaveOptions)
	ON_BN_CLICKED(IDC_RADIO1, OnSaveContour)
	ON_BN_CLICKED(IDC_RADIO2, OnColorContour)
	ON_BN_CLICKED(IDC_RADIO3, OnColorLegendContour)
	ON_BN_CLICKED(IDC_RADIO4, OnGradient)
	ON_BN_CLICKED(IDC_RADIO5, OnMeshEps)
	ON_BN_CLICKED(IDC_RADIO6, OnMeshAscii)
	ON_BN_CLICKED(IDC_RADIO7, OnPotentialAscii)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// SaveOptions message handlers

void SaveOptions::OnSaveContour() 
{
	// TODO: Add your control notification handler code here
  output_file_option=OUT_CONT;
}

void SaveOptions::OnColorContour() 
{
	// TODO: Add your control notification handler code here
  output_file_option=OUT_CONT_COLOR;
}

void SaveOptions::OnColorLegendContour() 
{
	// TODO: Add your control notification handler code here
  output_file_option=OUT_CONT_COLOR_LEGEND;
}

void SaveOptions::OnGradient() 
{
	// TODO: Add your control notification handler code here
	output_file_option=OUT_GRAD;
}

void SaveOptions::OnMeshEps() 
{
	// TODO: Add your control notification handler code here
	output_file_option=OUT_MESH_EPS;
}

void SaveOptions::OnMeshAscii() 
{
	// TODO: Add your control notification handler code here
	output_file_option=OUT_MESH;
}

void SaveOptions::OnPotentialAscii() 
{
	// TODO: Add your control notification handler code here
	output_file_option=OUT_POTENTIAL;
}
