/*  pdnmesh - a 2D finite element solver
    Copyright (C) 2001-2005 Sarod Yatawatta <sarod@users.sf.net>  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  $Id: SaveOptions.h,v 1.2 2005/02/13 18:23:41 sarod Exp $
*/

#if !defined(AFX_SAVEOPTIONS_H__8A7CA4F8_5A52_43FC_9FE8_DEA7CA227106__INCLUDED_)
#define AFX_SAVEOPTIONS_H__8A7CA4F8_5A52_43FC_9FE8_DEA7CA227106__INCLUDED_

#include "model.h"
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SaveOptions.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// SaveOptions dialog

class SaveOptions : public CDialog
{
// Construction
public:
	SaveOptions(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(SaveOptions)
	enum { IDD = IDD_SAVEOPTIONS_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(SaveOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(SaveOptions)
	afx_msg void OnSaveContour();
	afx_msg void OnColorContour();
	afx_msg void OnColorLegendContour();
	afx_msg void OnGradient();
	afx_msg void OnMeshEps();
	afx_msg void OnMeshAscii();
	afx_msg void OnPotentialAscii();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SAVEOPTIONS_H__8A7CA4F8_5A52_43FC_9FE8_DEA7CA227106__INCLUDED_)
